#! /bin/sh
#-----------------------------------------------------------------------------
# /tmp/install.sh - libssl installation
#
# Creation   :  2010-01-23 holbru
# Last update:  $Id: postinstall-libssl.sh 22997 2010-02-07 10:44:57Z hbfl $
#
# Copyright (c) 2001-2010 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#-----------------------------------------------------------------------------

# set packages name
package_name=libssl

#----------------------------------------------------------------------------
# generate symlinks
#----------------------------------------------------------------------------

old_lib="libcrypto.so.0.9.6 libssl.so.0.9.6"
new_lib="libcrypto.so.0.9.8 libssl.so.0.9.8"

cd /usr/lib/

for LNAME in ${new_lib}
do
    lib_name=`echo "${LNAME}" | sed 's#\.so.*$##'`
    lib_major=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f1`
    lib_minor=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f2`
    lib_patch=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f3`

    LinkDES="${LNAME}"
    LinkSRC="${lib_name}.so.0.9.6"

    rm -f ${LinkSRC}
    ln -sf ${LinkDES} ${LinkSRC}
    echo "b 0755 root root ${package_name} usr/lib/${LinkSRC}" \
          >>/etc/filelist.d/${package_name}-files.txt
done
#----------------------------------------------------------------------------
# running ldconfig
#----------------------------------------------------------------------------
/sbin/ldconfig >/dev/null 2>&1

#----------------------------------------------------------------------------
# check for ssl link in /etc
#----------------------------------------------------------------------------
if [ ! -L /etc/ssl ]
then
    cd /etc
    ln -s /usr/local/ssl
fi
#----------------------------------------------------------------------------
# check for old (devel-)packages
#----------------------------------------------------------------------------

if [ -f /var/install/packages/${package_name}-dev ]
then
    version=`grep "<version" /var/install/packages/${package_name} | sed 's# ##g; s#</*version>##g'`
    package_name=${package_name}-dev
    install_version=`/var/install/bin/check-version ${package_name} ${version}`

    if [ ${install_version} = new ]
    then
        . /var/install/include/eislib
        echo
        mecho -warn "An old devel package is installed."
        mecho -warn "To prevent version conflicts it is recommended"
        mecho -warn "that you also update the devel package."

        deinstall_file=/var/install/deinstall/${package_name}
        if [ -f ${deinstall_file} ]
        then
            chmod 0700 ${deinstall_file}
            ${deinstall_file}
        fi
    fi
fi

exit 0
#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------
